XFcBtHostResolver class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcBtHostResolver Class Reference

Used to query bluetooth devices. More...

Inheritance diagram for XFcBtHostResolver:

[legend]
Collaboration diagram for XFcBtHostResolver:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcBtHostResolver ()
| Virtual destructor.
XFCIMPORT INT | inquiry (XFcDeviceDiscovery *aDeviceDiscovery)
| Starts the inquiry request, starts to seach BT devices .
XFCIMPORT void | cancelInquiry ()
| Cancels the inquiry request.
XFCIMPORT void | inquiryResult (XFcLinkedList< XFcHostEntry * > &aHostEntry)
| Returns inquiry result.

## Static Public Member Functions

XFCIMPORT XFcBtHostResolver * | create ()
| Static creator for XFcBtHostResolver.

## Protected Member Functions

| XFcBtHostResolver ()
| Protected constructor.
INT | init (INT aType)
| Initializes XFcBtHostResolver.

## Private Attributes

XFcDeviceDiscovery * | mDeviceDiscovery
| Holds ptr to device discovery callback object.

## Detailed Description

Used to query bluetooth devices.

Does the asynchronous bluetooth device query. User gives callback interface when device inquiry is started. User is able to cancel query. List of devices are returned if query is succesful and any devices are found.

## Constructor & Destructor Documentation

XFcBtHostResolver::XFcBtHostResolver | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcBtHostResolver::~XFcBtHostResolver | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFCIMPORT void XFcBtHostResolver::cancelInquiry | ( |  | ) |

| Cancels the inquiry request.

XFCIMPORT XFcBtHostResolver* XFcBtHostResolver::create | ( |  | ) | `[static]`

| Static creator for XFcBtHostResolver.

INT XFcBtHostResolver::init | ( | INT | aType | ) | `[protected]`

| Initializes XFcBtHostResolver.

XFCIMPORT INT XFcBtHostResolver::inquiry | ( | XFcDeviceDiscovery * | aDeviceDiscovery | ) |

Starts the inquiry request, starts to seach BT devices .

Parameters:

  aDeviceDiscovery | callback interface for inquiry.

Returns:
  1 if query starts succesfully, or 0 if unsuccessful.

XFCIMPORT void XFcBtHostResolver::inquiryResult | ( | XFcLinkedList< XFcHostEntry * > & | aHostEntry | ) |

Returns inquiry result.

Parameters:

  aHostEntry | list of host data received from bluetooth network. List is deleted after method call.

## Member Data Documentation

XFcDeviceDiscovery* XFcBtHostResolver::mDeviceDiscovery`[private]`

| Holds ptr to device discovery callback object.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch